{"title":"Delete salesInvoices","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Deletes a sales invoice object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":53,"chars":215},{"level":2,"title":"Request headers","slug":"request-headers","at":268,"chars":238},{"level":2,"title":"Request body","slug":"request-body","at":506,"chars":61},{"level":2,"title":"Response","slug":"response","at":567,"chars":132},{"level":2,"title":"Example","slug":"example","at":699,"chars":229},{"level":2,"title":"Related information","slug":"related-information","at":928,"chars":217}],"text":"Delete a sales invoice object from Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({id})/salesInvoices({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the salesInvoices, the salesInvoices won't be updated.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns ```204 No Content``` response code. It doesn't return anything in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices({id})\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 204 No Content\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesinvoice\ndynamics_salesinvoice_get\ndynamics_salesinvoice_create\ndynamics_salesinvoice_update"}